Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCSound Class Reference

`#include <ExCSound.h>`

Inheritance diagram for ExCSound:

## Public Methods
| ExCSound (void)
| ExCSound (char *FileName)
| ~ExCSound (void)
void | SetIdent (ALuint ident)
ALuint | GetIdent (void)
bool | Load (const char *FileName)
void | Play (void)
void | Stop (void)
bool | InitCom (void)
## Private Attributes
ALuint | m_ident

## Constructor & Destructor Documentation

ExCSound | ( | void |  | ) |

| Definition at line 27 of file ExCSound.cpp. References ExCSound(), Guard, ExCObject::SetName(), and ExCObject::SetType(). Referenced by ExCSound(), and ~ExCSound().
    00028 {
    00029 Guard(ExCSound::ExCSound(void))
    00030         SetName("ExCSound");
    00031         SetType(typeid(this).name());
    00032 UnGuard
    00033 }

ExCSound | ( | char * | FileName | ) |

| Definition at line 35 of file ExCSound.cpp. References ExCSound(), and Guard.
    00036 {
    00037 Guard(ExCSound::ExCSound(char *FileName))
    00038 UnGuard
    00039 }

~ExCSound | ( | void |  | ) |

| Definition at line 41 of file ExCSound.cpp. References ExCSound(), and Guard.
    00042 {
    00043 Guard(ExCSound::~ExCSound(void))
    00044 UnGuard
    00045 }

## Member Function Documentation

ALuint GetIdent | ( | void |  | ) | `[inline]`

| Definition at line 50 of file ExCSound.h. References m_ident.
    00050 {m_ident=ident;}

bool InitCom | ( | void |  | ) |

| Definition at line 47 of file ExCSound.cpp. References Guard, and InitCom(). Referenced by InitCom().
    00048 {
    00049 Guard(ExCSound::InitCom(void))
    00050         return true;
    00051 UnGuard
    00052 }

bool Load | ( | const char * | FileName | ) |

| Definition at line 54 of file ExCSound.cpp. References Guard, and Load(). Referenced by Load().
    00055 {
    00056 Guard(bool ExCSound::Load(const char * FileName))
    00057         return true;
    00058 UnGuard
    00059 }

void Play | ( | void |  | ) |

| Definition at line 61 of file ExCSound.cpp. References Guard, and Play(). Referenced by Play().
    00062 {
    00063 Guard(ExCSound::Play(void))
    00064 UnGuard
    00065 }

void SetIdent | ( | ALuint | ident | ) | `[inline]`

| Definition at line 49 of file ExCSound.h. Referenced by ExManagerSound::LoadSound().
    00050 {m_ident=ident;}

void Stop | ( | void |  | ) |

| Definition at line 67 of file ExCSound.cpp. References Guard, and Stop(). Referenced by Stop().
    00068 {
    00069 Guard(ExCSound::Stop(void))
    00070 UnGuard
    00071 }

## Field Documentation

ALuint m_ident`[private]`

| Definition at line 38 of file ExCSound.h. Referenced by GetIdent().

The documentation for this class was generated from the following files:

- ExCSound.h
- ExCSound.cpp